require 'cocoapods'

module Pod
  class Command
    class Install < Command
      alias_method :run_retryable, :run
      def run
        begin
          run_retryable()
        rescue => exception
          # 有异常，打开 --repo-update 重试
          unless @repo_update
            @repo_update = true
            run_retryable()
          end
        end
      end
    end
  end
end