require 'cocoapods'

module Dongjia

  class DongjiaSource

    def self.import(use_private_source, podfile)

      return if use_private_source == nil

      if use_private_source
        source_url = 'git@code.kaipao.cc:ios-team/DJSpecs.git'
        unless File.exist?(File.expand_path('~/.cocoapods/repos/djspecs'))
          # 克隆私有源，并命名为 djspecs
          system "pod repo add djspecs #{source_url}"
        end
        podfile.source source_url
      end

    end

  end

end

